Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAnyC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _DYNAMICANY_DYNANY___CI_
#define | _DYNAMICANY_DYNFIXED___CI_
#define | _DYNAMICANY_DYNENUM___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CI_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CI_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ_CI_
#define | _DYNAMICANY_DYNSTRUCT___CI_
#define | _DYNAMICANY_DYNUNION___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CI_
#define | _DYNAMICANY_ANYSEQ_CI_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CI_
#define | _DYNAMICANY_DYNANYSEQ_CI_
#define | _DYNAMICANY_DYNSEQUENCE___CI_
#define | _DYNAMICANY_DYNARRAY___CI_
#define | _DYNAMICANY_DYNVALUE___CI_
#define | _DYNAMICANY_DYNANYFACTORY___CI_
## Functions
ACE_INLINE DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_duplicate ( DynamicAny::DynAny_ptr p )
ACE_INLINE void | tao_DynamicAny_DynAny_release ( DynamicAny::DynAny_ptr p )
ACE_INLINE DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_nil ( void )
ACE_INLINE DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynAny_upcast ( void *src )
ACE_INLINE DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_duplicate ( DynamicAny::DynFixed_ptr p )
ACE_INLINE void | tao_DynamicAny_DynFixed_release ( DynamicAny::DynFixed_ptr p )
ACE_INLINE DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_nil ( void )
ACE_INLINE DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynFixed_upcast ( void *src )
ACE_INLINE DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_duplicate ( DynamicAny::DynEnum_ptr p )
ACE_INLINE void | tao_DynamicAny_DynEnum_release ( DynamicAny::DynEnum_ptr p )
ACE_INLINE DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_nil ( void )
ACE_INLINE DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynEnum_upcast ( void *src )
ACE_INLINE DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_duplicate ( DynamicAny::DynStruct_ptr p )
ACE_INLINE void | tao_DynamicAny_DynStruct_release ( DynamicAny::DynStruct_ptr p )
ACE_INLINE DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_nil ( void )
ACE_INLINE DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynStruct_upcast ( void *src )
ACE_INLINE DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_duplicate ( DynamicAny::DynUnion_ptr p )
ACE_INLINE void | tao_DynamicAny_DynUnion_release ( DynamicAny::DynUnion_ptr p )
ACE_INLINE DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_nil ( void )
ACE_INLINE DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynUnion_upcast ( void *src )
ACE_INLINE DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_duplicate ( DynamicAny::DynSequence_ptr p )
ACE_INLINE void | tao_DynamicAny_DynSequence_release ( DynamicAny::DynSequence_ptr p )
ACE_INLINE DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_nil ( void )
ACE_INLINE DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynSequence_upcast ( void *src )
ACE_INLINE DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_duplicate ( DynamicAny::DynArray_ptr p )
ACE_INLINE void | tao_DynamicAny_DynArray_release ( DynamicAny::DynArray_ptr p )
ACE_INLINE DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_nil ( void )
ACE_INLINE DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynArray_upcast ( void *src )
ACE_INLINE DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_duplicate ( DynamicAny::DynValue_ptr p )
ACE_INLINE void | tao_DynamicAny_DynValue_release ( DynamicAny::DynValue_ptr p )
ACE_INLINE DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_nil ( void )
ACE_INLINE DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynValue_upcast ( void *src )
ACE_INLINE DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_duplicate ( DynamicAny::DynAnyFactory_ptr p )
ACE_INLINE void | tao_DynamicAny_DynAnyFactory_release ( DynamicAny::DynAnyFactory_ptr p )
ACE_INLINE DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_nil ( void )
ACE_INLINE DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_DynamicAny_DynAnyFactory_upcast ( void *src )

## Define Documentation

#define _DYNAMICANY_ANYSEQ_CI_

#define _DYNAMICANY_DYNANYFACTORY___CI_

#define _DYNAMICANY_DYNANYSEQ_CI_

#define _DYNAMICANY_DYNANY___CI_

#define _DYNAMICANY_DYNARRAY___CI_

#define _DYNAMICANY_DYNENUM___CI_

#define _DYNAMICANY_DYNFIXED___CI_

#define _DYNAMICANY_DYNSEQUENCE___CI_

#define _DYNAMICANY_DYNSTRUCT___CI_

#define _DYNAMICANY_DYNUNION___CI_

#define _DYNAMICANY_DYNVALUE___CI_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ_CI_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ_CI_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CI_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CI_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CI_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CI_

## Function Documentation

ACE_INLINE DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_duplicate ( | DynamicAny::DynAnyFactory_ptr p )

ACE_INLINE DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynAnyFactory_release ( | DynamicAny::DynAnyFactory_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynAnyFactory_upcast ( | void * src )

ACE_INLINE DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_duplicate ( | DynamicAny::DynAny_ptr p )

ACE_INLINE DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynAny_release ( | DynamicAny::DynAny_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynAny_upcast ( | void * src )

ACE_INLINE DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_duplicate ( | DynamicAny::DynArray_ptr p )

ACE_INLINE DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynArray_release ( | DynamicAny::DynArray_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynArray_upcast ( | void * src )

ACE_INLINE DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_duplicate ( | DynamicAny::DynEnum_ptr p )

ACE_INLINE DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynEnum_release ( | DynamicAny::DynEnum_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynEnum_upcast ( | void * src )

ACE_INLINE DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_duplicate ( | DynamicAny::DynFixed_ptr p )

ACE_INLINE DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynFixed_release ( | DynamicAny::DynFixed_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynFixed_upcast ( | void * src )

ACE_INLINE DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_duplicate ( | DynamicAny::DynSequence_ptr p )

ACE_INLINE DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynSequence_release ( | DynamicAny::DynSequence_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynSequence_upcast ( | void * src )

ACE_INLINE DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_duplicate ( | DynamicAny::DynStruct_ptr p )

ACE_INLINE DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynStruct_release ( | DynamicAny::DynStruct_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynStruct_upcast ( | void * src )

ACE_INLINE DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_duplicate ( | DynamicAny::DynUnion_ptr p )

ACE_INLINE DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynUnion_release ( | DynamicAny::DynUnion_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynUnion_upcast ( | void * src )

ACE_INLINE DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_duplicate ( | DynamicAny::DynValue_ptr p )

ACE_INLINE DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_nil ( | void )

ACE_INLINE void tao_DynamicAny_DynValue_release ( | DynamicAny::DynValue_ptr p )

ACE_INLINE CORBA::Object * tao_DynamicAny_DynValue_upcast ( | void * src )